Subject: Re: Git User's Survey 2008 partial summary, part 5 - other SCM

From: Jakub Narebski <[email-masked]>
Date: Fri, 12 Sep 2008 12:44:58 +0200

On Fri, 12 Sep 2008 00:51, [email-masked] wrote:
> On Thu, 11 Sep 2008, Jakub Narebski wrote:
> 
> > A bit suprising for me is high place of Perforce.  Another strange
> > thing (and a bit alarming) is that MS Visual SourceSafe has higher
> > place than Monotone; but that might be caused by different design and
> > different target groups of Monotone and Git, which might have caused
> > that the communities have almost no overlap; people choose either Git
> > or Monotone, one or the other.  BitKeeper has also a very low number
> > of active users among Git users... but that is not that strange,
> > considering history.
> 
> I think you are making the wrong assumption here.
> 
> Someone may use CVS becouse they contribute to a project that is only 
> availabe via CVS
> 
> Someone may use Perforce becouse that is the VCS that their company uses

True, I have forgot that "I use this SCM" (or "I used this SCM") doesn't
necessarily mean that one _choose_ this SCM.  One can use some SCM
because it is SCM project uses, or because their company requires it;
but not necessary, as git-svn and git-p4 show one can use Git, and
make it interact with respectively Subversion and Perforce, and trying
to make it look like one uses this other SCM.

> If you do commercial development with Windows you are almsot going to be 
> required to use MS VSS.

I hope not.  Even Microsoft themselves supposedly doesn't recommend
Source(Un)Safe, but MS Visual Studio Team System.

> You are looking at it from the point of view of 'which VCS would you 
> select for a new project', but that would be a very different question.

Right.

> I find it interesting that the number of people who use git and the other 
> DVCS systems in so small. Is this becouse the 'market share' of those 
> other systems is small? Or becouse people who learn git aren't willing to 
> put up with other systems (or vice-versa)? Or is there some other trend 
> or tendancy that makes people who select one DVCS more likely to work on 
> similar projects, so people interested in those types of projects will 
> generally just see a single DVCS system

I don't think 59% (in the example case of using currently Subversion)
is small.  Take into account for example that there are people who (as
seen from responses to other questions in this survey) use SCM (Git)
only to track their private work, never publishing.  Then there are
people who do not track (perhaps with exception of web interfaces)
other projects development using version control systems, even if they
do follow their development.

Side note: the number of replies in "still use" category agrees with
other data, like mentioned Ohloh stacks, or Debian popcon (package
popularity), or Newren research, or vcscomparison research.

-- 
Jakub Narebski
Poland